Centos-安装最新的Python3.6.3

  • A+
所属分类:游戏评测

前言我现在使用的脚本都是使用python3写的,但是生产环境用的Centos基本都是默认自带的Python2,需要Python3就需要另外安装。

Centos-安装最新的Python3.6.3

习惯使用源码编译安装的方式。

Centos-安装最新的Python3.6.3

安装依赖包和编译工具yum -y install xz tar gcc make tk-devel wget sqlite-devel zlib-devel readline-devel openssl-devel curl-devel tk-devel gdbm-devel xz-devel bzip2-devel

这些是我编译过程发现需要安装的依赖包,如果默认没有装会出现:

The necessary bits to build these optional modules were not found:

也可以用yum工具查找一下Python的依赖进行安装

yum-builddep python

但是这个命令查找到的都是根据Python2来的,所以我还是根据我自己编译过程发现需要的包来编译安装的。

下载在Python官网就可以找到对应的源码下载了:

}

使用命令下载:

cd /root/

wget -c }

解压xz的包相对比较小。

xz -d Python-3.6.3.tar.xz

tar xvf Python-3.6.3.tar

编译安装cd tar xvf Python-3.6.3

./configure --prefix=/usr/local/python3

make

make install

修改环境变量echo \'export PATH=/usr/local/python3/bin:$PATH\' >> /etc/profile

source /etc/profile

编译安装的Python3版本中,bin目录下都是Python3.*,不会跟系统自带的Python冲突。

使用python3 -V

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: